## ros-one-effort-controllers 0.22.0-0jammy.20251023.1006

=== debian/changelog ===
ros-one-effort-controllers (0.22.0-0jammy.20251023.1006) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 10:06:37 +0000

ros-one-effort-controllers (0.22.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-effort-controllers (0.21.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-effort-controllers (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-effort-controllers (0.21.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-effort-controllers (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-effort-controllers (0.19.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-effort-controllers (0.18.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-effort-controllers (0.18.0-0jammy) jammy; urgency=high

  * Update effort_controllers' package.xml file to format 3
  * Apply consistent format to effort_controllers' CMakeLists.txt file
  * Clean effort_controllers' dependencies
  * [effort_controllers] JointGroupPositionController: Change to initRT
  * [effort_controllers] JointGroupPositionController: Set to current position in starting
    Currently, the target position upon starting is all zeros. This is not
    great if a command is not issued immediately. To be safer, set the goal
    position to the current sensed position and also reset the PID internal
    state upon starting.
  * Remove unused transmission in effort_controllers test
  * Add missing test dependency on joint_state_controller in effort_controllers
  * [effort_controllers] JointGroupPositionController: Load URDF from namespace
    Mimics #245 <https://github.com/ros-controls/ros_controllers/issues/245>
  * Contributors: Mateus Amarante, Wolfgang Merkt

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-effort-controllers (0.17.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-effort-controllers (0.16.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-effort-controllers (0.16.0-0jammy) jammy; urgency=high

  * Added test for position controller
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * fix minor typo in documentation of setGains method
    Changes Get to Set of setGains method documentation
  * Contributors: Bence Magyar, F Pucher, Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-effort-controllers (0.15.1-0jammy) jammy; urgency=high

  * add missing pluginlib deps.
  * effort_controllers: fix minor typo in setGains doc
  * Contributors: G.A. vd. Hoorn, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-effort-controllers (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-effort-controllers (0.14.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-effort-controllers (0.14.2-0jammy) jammy; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-effort-controllers (0.14.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-effort-controllers (0.14.0-0jammy) jammy; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-effort-controllers (0.13.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-effort-controllers (0.13.1-0jammy) jammy; urgency=high

  * Code cleanup
  * Add JointGroupPositionController
  * Contributors: Bence Magyar, Maik Mugnai

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-effort-controllers (0.13.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.3-0jammy) jammy; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000


