## ros-one-effort-controllers 0.22.0-0jammy.20260221.2138

=== debian/changelog ===
ros-one-effort-controllers (0.22.0-0jammy.20260221.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 21:38:17 +0000
