=== debian/control ===
Source: ros-one-effort-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-forward-command-controller, ros-one-hardware-interface, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-std-msgs, ros-one-urdf
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-one-effort-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-forward-command-controller, ros-one-hardware-interface, ros-one-realtime-tools, ros-one-roscpp, ros-one-std-msgs, ros-one-urdf
Description: effort_controllers
