## ros-one-effort-controllers 0.22.0-0noble.20260221.2227

=== debian/changelog ===
ros-one-effort-controllers (0.22.0-0noble.20260221.2227) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 22:27:32 +0000
